'use strict';

module.exports = function collapseIgnored(stack) {
    var sawIgnored = false;

    return stack.reduce(function (newStack, stackLine) {
        if (stackLine.type === "ignored") {
            if (sawIgnored === false) {
                sawIgnored = true;
                newStack.push(stackLine);
            } else {
                newStack[newStack.length - 1].count += 1;
            }
        } else {
            sawIgnored = false;
            newStack.push(stackLine);
        }

        return newStack;
    }, []);
};