'use strict';

var stacktraceParser = require("stacktrace-parser");
var printError = require("../../print-error");

module.exports = function parseStacktrace(stacktraceString) {
    try {
        return stacktraceParser.parse(stacktraceString);
    } catch (err) {
        printError(["WARNING: Unable to parse stacktrace!", err, "Original stacktrace string:", stacktraceString]);

        return [];
    }
};