'use strict';

var prettifyStack = require("../error/stack/prettify");

module.exports = function generateEmailPreview(_ref, stackFilter) {
    var environmentName = _ref.environmentName,
        error = _ref.error,
        hostname = _ref.hostname;

    return ("\nAn unhandled " + error.name + " occurred.\n\nEnvironment: " + environmentName + "\nHostname: " + hostname + "\n__________________________________________\n\nSimplified error stacktrace:\n\n" + prettifyStack(error.stackWithout(stackFilter, true)) + "\n__________________________________________\n\nThe full error information is attached.\n    ").trim();
};