'use strict';

module.exports = function parseModules(filePath) {
    if (!filePath.includes("/") && !filePath.includes("\\")) {
        return ["<internal>"];
    } else {
        var regex = /(?:\/|\\)node_modules(?:\/|\\)([^\/\\]+)/g;
        var match = void 0,
            matches = [];

        while (match = regex.exec(filePath)) {
            matches.push(match);
        }

        console.log(filePath);
        console.log(matches);

        return matches.map(function (match) {
            return match[1];
        });
    }
};